---
layout: default.html
title: Badges
description: Add badges to your app with minimal effort.
---

## Badges

Create a badge by applying the `badge` class to an element such as a `<span>`. You can change a badge’s appearance using the `badge-*` modifier.

```html
<span class="badge">Default</span>
<span class="badge badge-success">Success</span>
<span class="badge badge-info">Info</span>
<span class="badge badge-warning">Warning</span>
<span class="badge badge-danger">Danger</span>
<span class="badge badge-inverse">Inverse</span>
```

<p>
  <span class="badge">Default</span>
  <span class="badge badge-success">Success</span>
  <span class="badge badge-info">Info</span>
  <span class="badge badge-warning">Warning</span>
  <span class="badge badge-danger">Danger</span>
  <span class="badge badge-inverse">Inverse</span>
</p>

By default, badges are sized relative to their parent element.

```html
<h1>Heading 1 <span class="badge">Badge</span></h1>
<h2>Heading 2 <span class="badge">Badge</span></h2>
<h3>Heading 3 <span class="badge">Badge</span></h3>
<p>Paragraph <span class="badge">Badge</span></p>
```

<h1>Heading 1 <span class="badge">Badge</span></h1>
<h2>Heading 2 <span class="badge">Badge</span></h2>
<h3>Heading 3 <span class="badge">Badge</span></h3>
<p>Paragraph <span class="badge">Badge</span></p>
